Skip to main content
POST
This endpoint allows you to ask a question and get an answer that incorporates all your connected knowledge sources and documents.

Request Parameters

string
Your API key for authentication
string
required
The ID of the knowledge board you want to use
string
required
The ID of the chat assistant you’re sending the question to

Request Body

string
required
Your question for the assistant
string
default:"claude-sonnet-5"
The AI model to use. Allowed values: claude-sonnet-5, claude-sonnet-4-6, claude-sonnet-4-5, o3-mini, gpt-4o, grok-2-1212, gpt-4o-mini
string
default:false
Force the AI response to use plain text instead of markdown. Allowed values are “true” or “active”. Any other value will disable plaintext.
string
default:false
Return the answer as a stream instead of a JSON. Allowed values are “true” or “active”. Any other value will disable streaming.
boolean
default:false
When streaming is enabled, set this to true to receive credit usage information as a final chunk in the stream. The usage chunk will be appended after the finish event with the format: {"type":"usage","credits_used":0.123}. This is similar to OpenAI’s stream_options.include_usage parameter.
string
default:" "
Extra information you want to include for this specific question (will not be stored in your knowledge base)

Response

string
The assistant’s response to your question
number
The number of credits consumed by this request
number
Your account’s remaining credit balance for the current billing period